## akonadi 18.08.1

=== debian/changelog ===
akonadi (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 4:18.07.90
  * Remove armel specific symbols, that are not exposed anymore.
  * Follow stable releases in KDE again..
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:16:04 +0200

akonadi (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.07.90).
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.
  * Bump DebianAbi for libkf5akonadicore5 because of breakage to 2.
  * Bump DebianAbi for libkf5akonadiprivate5 because of breakage to 2.
  * Update symbols for libkf5akonadiagentbase5 for 18.07.90.
  * Remove patch that got upstream.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:10:34 +0200

akonadi (4:17.12.3-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 310b6a26f58814568245c781c2136504d1a6f338 to fix
    build with Qt 5.11; patch
    upstream_Fix-build-with-Qt-5.11-missing-QAbstractItemView.patch.
  * Remove empty line at the end of changelog.
  * Bump Standards-Version to 4.1.5, no changes required.
  * Remove the 'testsuite' autopkgtest:
    - it runs the test suite from the build dir, not using the installed
      packages (hence misusing what autopkgtest is for)
    - it always failed (so it is not useful to even catch regressions), and
      nobody bothered to fix it
    - hence, pass -DBUILD_TESTING=OFF to cmake to disable the build of the
      tests, and pass -DBUILD_TOOLS=ON to explicitly request the test tools
      (which are installed)
  * Update symbols files for GCC 8, and the loss of test-only symbols.
  * Do not append -fvisibility=hidden -fvisibility-inlines-hidden to the
    CFLAGS, and CXXFLAGS anymore, since they are already there since at least
    the switch to KF5/ECM.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jul 2018 08:01:23 +0200

akonadi (4:17.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Adds Breaks/Replaces against kapptemplate (Closes: #894913)

 -- Sandro Knauß <hefee@debian.org>  Thu, 05 Apr 2018 19:45:46 +0200

akonadi (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add kdevelop templates to libkf5akonadi-dev.
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * bump epoch in symbolsfiles to match version of the package.
  * use secure copyright format uri.
  * small fixes in copyright file.
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:21:21 +0200

akonadi (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Drop transitional package libkf5akonadicore-bin (Closes: #873932)
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Remove unneded Build-Deps.
  * Use DebianABIManager to handle libkf5akonadi* properly
  * Update library from libkf5akonadicore5 -> libkf5akonadicore5abi1,
    because of ABI breakage.
  * Update library from libkf5akonadiprivate5 ->
    libkf5akonadiprivate5abi1, because of ABI breakage.
  * Update library from libkf5akonadiwidgets5 ->
    libkf5akonadiwidgets5abi1, because of ABI breakage.
  * Update copyright file.
  * Split arch independet data out of libkf5akonadicore5abi1 into new
    package libkf5akonadi-data.
  * Update Vcs links to salsa.
  * Bump debhelper build-dep and compat to 11.
  * add akonadi-backend-postgresql.lintian-overrides to ignore empty
    package.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 20:10:06 +0100

akonadi (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Fix typo in NEWS file.
  * Remove the unused kio-dev build dependency.
  * Remove obsolete /etc/akonadi/mysql-global.conf, and
    /etc/akonadi/mysql-global-mobile.conf conffiles. (Closes: #868231)
  * Update symbols files from logs of buildds.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.

  [ Sandro Knauß ]
  * libkf5akonadiserver-dev incorrectly marked as Multi-Arch: same
    (Closes: #880385)
  * Fix "usr.sbin.mysqld-akonadi: denied access to
    /etc/mysql/mariadb.cnf" (Closes: #869865)
    - Added patch to allow files under mariadb.conf.d
      Thanks to Vincas Dargis <vindrg@gmail.com> for the patch

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 17:38:15 +0100

akonadi (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update the apparmor file for mariadb, and report errors
  * Update uploaders list as requested by MIA team (Closes: #879284)

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Add NEWS entry about the db migration
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Update symbols from buildds for 4:17.08.3
  * Bump l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:48:11 +0100

akonadi (4:17.08.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.0). (Closes: 871147, 871246)
  * Drop Multi-Arch: foreign from the dev pkg.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the report (Closes: 872207)
  * Uscan no longer supports two main components urls
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Bump Standards-Version to 4.0.1.
  * Update symbols files
  * Update install files
  * Set Priority to optional
  * Add breaks/replaces for the /mo files
  * Add breaks for libkolab1
  * Bump group breaks (17.08)
  * Drop kdepimlibs-data symbols injection
  * Release to experimental



=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               default-libmysqlclient-dev,
               dh-apparmor,
               extra-cmake-modules (>= 5.47.0~),
               kdesignerplugin (>= 5.39.0~),
               kgendesignerplugin (>= 5.47.0~),
               libboost-dev (>= 1.34.0~),
               libkf5completion-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5crash-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5itemmodels-dev (>= 5.47.0~),
               libkf5itemviews-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               libsqlite3-dev (>= 3.6.23),
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtbase5-private-dev,
               qttools5-dev,
               shared-mime-info (>= 1.3~),
               xsltproc,
Standards-Version: 4.2.1
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: default-mysql-client-core | virtual-mysql-client-core,
         default-mysql-server-core | virtual-mysql-server-core,
         libqt5sql5-mysql,
         ${misc:Depends},
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt5sql5-psql, ${misc:Depends}
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) | akonadi-backend-postgresql (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: akonadi-backend-mysql (= ${source:Version}),
          akonadi-backend-postgresql (= ${source:Version}),
          akonadi-backend-sqlite (= ${binary:Version}),
Breaks: akonadiconsole (<< 4:16.04),
        kdepim-runtime (<< 4:17.08),
        kdepimlibs-data (<< 4:16.04),
        kmail (<< 4:17.08),
        korganizer (<< 4:16.04),
Replaces: kdepimlibs-data (<< 4:16.04)
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libkf5akonadi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadicore5, ${kde-l10n:all}
Replaces: libkf5akonadicore5, ${kde-l10n:all}
Description: Akonadi arch independent data
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package ships arch independent data like translations etc.

Package: libkf5akonadi-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.34.0~),
         libkf5akonadiagentbase5 (= ${binary:Version}),
         libkf5akonadicore5abi2 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= ${binary:Version}),
         libkf5akonadiwidgets5abi1 (= ${binary:Version}),
         libkf5akonadixml5 (= ${binary:Version}),
         libkf5completion-dev (>= 5.47.0~),
         libkf5itemmodels-dev (>= 5.47.0~),
         libkf5xmlgui-dev (>= 5.47.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: kapptemplate (<< 4:17.08.3-2),
          kdepim-runtime (<< 4:4.13),
          kdepimlibs5-dev,
Breaks: kapptemplate (<< 4:17.08.3-2),
        kdepim-runtime (<< 4:4.13),
        libkf5akonadicalendar-dev (<< 4:17.08),
        libkf5akonadicontact-dev (<< 4:17.08),
        libkf5akonadimime-dev (<< 4:17.08),
        libkf5akonadinotes-dev (<< 4:17.08),
        libkf5akonadisearch-dev (<< 4:17.08),
        libkf5akonadisocialutils-dev (<< 4:17.08),
        libkf5alarmcalendar-dev (<< 4:17.08),
        libkf5calendarsupport-dev (<< 4:17.08),
        libkf5eventviews-dev (<< 4:17.08),
        libkf5followupreminder-dev (<< 4:17.08),
        libkf5incidenceeditor-dev (<< 17.08),
        libkf5kdepimdbusinterfaces-dev (<< 4:17.08),
        libkf5ksieve-dev (<< 4:17.08),
        libkf5libkdepim-dev (<< 4:17.08),
        libkf5mailimporter-dev (<< 4:17.08),
        libkf5pimcommon-dev (<< 4:17.08),
        libkf5sendlater-dev (<< 4:17.08),
Conflicts: kdepimlibs5-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadi-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepimlibs5-dev, ${kde-l10n:all}
Replaces: kdepimlibs5-dev, ${kde-l10n:all}
Description: Additional development binaries for the Akonadi KDE PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 It contains files to run Akonadi based tests.

Package: libkf5akonadiagentbase5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi agent base library
 This library contains classes to implement agents for the Akonadi PIM
 data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Breaks: kdepim-runtime (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        libkf5akonadisearch-bin (<< 4:17.08),

Package: libkf5akonadicore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiCore
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: accountwizard (<< 4:17.08),
        akonadiconsole (<< 4:17.08),
        kaddressbook (<< 4:17.08),
        kalarm (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        konsolekalendar (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5akonadicalendar5 (<< 4:17.08),
        libkf5akonadicontact5 (<< 4:17.08),
        libkf5akonadicore5,
        libkf5akonadimime5 (<< 4:17.08),
        libkf5akonadisearch-bin (<< 4:17.08),
        libkf5akonadisearch-plugins (<< 4:17.08),
        libkf5akonadisearchdebug5 (<< 4:17.08),
        libkf5akonadisearchpim5 (<< 4:17.08),
        libkf5alarmcalendar5 (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor-bin (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
        libkf5kaddressbookgrantlee5 (<< 4:17.08),
        libkf5kdepimdbusinterfaces5 (<< 4:17.08),
        libkf5ksieveui5 (<< 4:17.08),
        libkf5libkdepim5 (<< 4:17.08),
        libkf5mailimporter5 (<< 4:17.08),
        libkf5mailtransport5 (<< 17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messagecore5 (<< 4:17.08),
        libkf5messagelist5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        libkf5pimcommon5 (<< 4:17.08),
        libkf5templateparser5 (<< 4:17.08),
        libkolab1 (<= 1.0.2-3),
Replaces: libkf5akonadicore5
Recommends: libkf5akonadiwidgets5abi1 (= ${binary:Version})
Description: Akonadi core library
 This library contains Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiprivate5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiPrivate
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.
Breaks: akonadiconsole (<< 4:17.08), kdepim-runtime (<< 4:17.08)

Package: libkf5akonadiserver-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadiprivate5abi2 (= ${binary:Version}), ${misc:Depends}
Breaks: libakonadi-dev, libkf5akonadisearch-dev (<< 4:17.08)
Replaces: libakonadi-dev
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: libkf5akonadiwidgets5abi1

## akonadi 18.08.3

=== autotests/akonadicontrol/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${Akonadi_SOURCE_DIR}/src/akonadicontrol
                    ${Akonadi_BINARY_DIR}/src/akonadicontrol)

macro(add_unit_test _source)
    set(_test ${_source}
        ${Akonadi_BINARY_DIR}/src/akonadicontrol/akonadicontrol_debug.cpp
        ${Akonadi_SOURCE_DIR}/src/akonadicontrol/agenttype.cpp
    )
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    add_test(NAME AkonadiControl-${_name} COMMAND ${_name})
    add_dependencies(${_name} akonadi_control)
    if (ENABLE_ASAN)
        set_tests_properties(AkonadiControl-${_name} PROPERTIES
                             ENVIRONMENT ASAN_OPTIONS=symbolize=1
        )
    endif()
    target_link_libraries(${_name}
        akonadi_shared
        KF5AkonadiPrivate
        Qt5::Test
        KF5::ConfigCore
        ${CMAKE_EXE_LINKER_FLAGS_ASAN}
    )
endmacro()

add_unit_test(agenttypetest.cpp)

=== autotests/server/CMakeLists.txt ===
########### next target ###############

# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_BINARY_DIR}/src/server
                    ${Akonadi_SOURCE_DIR}/src/server)

akonadi_run_xsltproc(
    XSL ${Akonadi_SOURCE_DIR}/src/server/storage/schema.xsl
    XML ${CMAKE_CURRENT_SOURCE_DIR}/dbtest_data/unittest_schema.xml
    BASENAME unittestschema
    CLASSNAME UnitTestSchema
)
akonadi_run_xsltproc(
    XSL ${CMAKE_CURRENT_SOURCE_DIR}/dbpopulator.xsl
    XML ${CMAKE_CURRENT_SOURCE_DIR}/dbtest_data/dbdata.xml
    BASENAME dbpopulator
)

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/dbpopulator.cpp PROPERTY SKIP_AUTOMOC TRUE)

set(common_SRCS
    unittestschema.cpp
    fakeconnection.cpp
    fakedatastore.cpp
    fakeclient.cpp
    fakeakonadiserver.cpp
    fakesearchmanager.cpp
    fakeitemretrievalmanager.cpp
    dbinitializer.cpp
    inspectablenotificationcollector.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/dbpopulator.cpp
)

add_library(akonadi_unittest_common STATIC ${common_SRCS})
target_link_libraries(akonadi_unittest_common
    KF5AkonadiPrivate
    libakonadiserver
    Qt5::Core
    Qt5::DBus
    Qt5::Test
    Qt5::Sql
    Qt5::Network
)

macro(add_server_test _source)
    set(_test ${_source} ../../src/server/akonadiserver_debug.cpp ../../src/server/akonadiserver_search_debug.cpp)
    get_filename_component(_name ${_source} NAME_WE)
    qt5_add_resources(_test dbtest_data/dbtest_data.qrc)
    add_executable(${_name} ${_test})
    add_test(NAME AkonadiServer-${_name} COMMAND ${_name})
    if (ENABLE_ASAN)
        set_tests_properties(AkonadiServer-${_name} PROPERTIES
                             ENVIRONMENT ASAN_OPTIONS=symbolize=1
        )
    endif()
    set_tests_properties(AkonadiServer-${_name} PROPERTIES
                         ENVIRONMENT "QT_HASH_SEED=0;QT_NO_CPU_FEATURE=sse4.2"
    )
    target_link_libraries(${_name}
        akonadi_shared
        akonadi_unittest_common
        libakonadiserver
        KF5AkonadiPrivate
        Qt5::Core
        Qt5::DBus
        Qt5::Test
        Qt5::Sql
        Qt5::Network
        ${CMAKE_SHARED_LINKER_FLAGS_ASAN}
    )
endmacro()

add_server_test(dbtypetest.cpp)
add_server_test(dbintrospectortest.cpp)
add_server_test(querybuildertest.cpp)
add_server_test(dbinitializertest.cpp)
add_server_test(dbupdatertest.cpp)
add_server_test(handlertest.cpp)
add_server_test(dbconfigtest.cpp)
add_server_test(parthelpertest.cpp)
add_server_test(itemretrievertest.cpp)
add_server_test(notificationmanagertest.cpp)
add_server_test(parttypehelpertest.cpp)
add_server_test(collectionstatisticstest.cpp)

if (SQLITE_FOUND) # tests using the fake server need the QSQLITE3 plugin
add_server_test(partstreamertest.cpp)
add_server_test(akappendhandlertest.cpp)
add_server_test(linkhandlertest.cpp)
add_server_test(listhandlertest.cpp)
add_server_test(modifyhandlertest.cpp)
add_server_test(movehandlertest.cpp)
add_server_test(createhandlertest.cpp)
add_server_test(collectionreferencetest.cpp)
add_server_test(searchtest.cpp akonadiprivate)
add_server_test(relationhandlertest.cpp akonadiprivate)
add_server_test(taghandlertest.cpp akonadiprivate)
add_server_test(fetchhandlertest.cpp akonadiprivate)
endif()

=== autotests/libs/testrunner/CMakeLists.txt ===
kde_enable_exceptions()

set(akonaditest_SRCS
  main.cpp
  setup.cpp
  config.cpp
  shellscript.cpp
  testrunner.cpp
)

add_executable(akonaditest ${akonaditest_SRCS})

target_link_libraries(akonaditest
  KF5::AkonadiCore 
  KF5::I18n
  KF5::ConfigCore
  Qt5::Xml
  Qt5::DBus
  Qt5::Widgets
)

install(TARGETS akonaditest ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

# Set the akonaditest path (needed by AkonadiMacros.cmake when invoked in kdepimlibs)
set(_akonaditest_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE PATH "akonaditest path")

=== src/xml/autotests/CMakeLists.txt ===

set(QT_REQUIRED_VERSION "5.9.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
include(ECMMarkAsTest)

macro(add_libakonadixml_test _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  add_executable( ${_name} ${_test} )
  add_test(NAME ${_name} COMMAND ${_name} )
  ecm_mark_as_test(akonadixml-${_name})
  set_tests_properties(${_name} PROPERTIES ENVIRONMENT "QT_HASH_SEED=1;QT_NO_CPU_FEATURE=sse4.2")
  set_target_properties(${_name} PROPERTIES COMPILE_FLAGS -DKDESRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")
  target_link_libraries(${_name} KF5AkonadiCore KF5::AkonadiXml Qt5::Test Qt5::Xml) 
endmacro()

add_libakonadixml_test(collectiontest.cpp)
add_libakonadixml_test(xmldocumenttest.cpp)

=== templates/akonadiserializer/src/CMakeLists.txt ===
set(akonadi_serializer_%{APPNAMELC}_SRCS
    akonadi_serializer_%{APPNAMELC}.cpp
)

add_library(akonadi_serializer_%{APPNAMELC} MODULE ${akonadi_serializer_%{APPNAMELC}_SRCS})

target_link_libraries(akonadi_serializer_%{APPNAMELC}
    KF5::AkonadiCore
)

install(TARGETS akonadi_serializer_%{APPNAMELC}
    DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES akonadi_serializer_%{APPNAMELC}.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer
)

=== debian/changelog ===
akonadi (4:18.08.3-7~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Sandro Knauß <hefee@debian.org>  Fri, 30 Aug 2019 22:11:22 +0200

akonadi (4:18.08.3-7) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add patch to fix: Akonadi components crash on logout. (Closes: #939013)
  * Add patch to fix: Automatic recovery from Multiple Merge Candidates
    error (Closes: #939012)
  * Add patch with files, that are needed for other patches.
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Fri, 30 Aug 2019 12:59:47 +0200

akonadi (4:18.08.3-6) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Akonadi don't anwser any requests and ends in deadlock" (Closes: #935981)
    by adding upstream patches.
    - Akonadi-fix-dangling-transaction-after-itemsync-fail.patch
    - ItemSync-skip-handling-remote-items-if-local-changes.patch

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Aug 2019 19:31:31 +0200

akonadi (4:18.08.3-5) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Switch back to use default-mysql-server-core instead of default-
    mysql-server as dependency (see #910902).

 -- Sandro Knauß <hefee@debian.org>  Mon, 29 Apr 2019 16:24:10 +0200

akonadi (4:18.08.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:51 +0100

akonadi (4:18.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add Build-Depends-package field in symbolfiles.
  * Add patch Call-QSqlQuery-finish-on-all-SELECT-queries-when-don
    (Closes: #921535).

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Feb 2019 23:20:48 +0100

akonadi (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Rename {kubuntu_,}disable_secure_file_priv_check.diff.
  * Update symbols from buildds for 4:18.08.3

  [ Alf Gaida ]
  * Replaced wrapper mysqld-akonadi with link mysqld -> mysqld-akonadi
    (Closes: #921389)
  * Replaced dependency for akonadi-backend-mysql:
    - default-mysql-server-core -> default-mysql-server
    - virtual-mysql-server-core -> virtual-mysql-server

 -- Sandro Knauß <hefee@debian.org>  Wed, 06 Feb 2019 12:56:58 +0100

akonadi (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -DBUILD_TESTING=OFF -DBUILD_TOOLS=ON \
	    -D_testrunner=/usr/bin/akonaditest

override_dh_installinit:
	$(overridden_command)
	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepimlibs-data

override_dh_strip:
	$(overridden_command) --dbgsym-migration='akonadi-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests
